package com.example.andersb.clickeventhandling;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;


public class SomeActivity extends Activity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_some);

        Button button2 = (Button) findViewById(R.id.buttonLocal);
        button2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                TextView textView = (TextView) findViewById(R.id.textViewOutput);
                textView.setText("Button 2 clicked");
            }
        });

        Button button3 = (Button) findViewById(R.id.buttonInterface);
        button3.setOnClickListener(this);

        Button button4 = (Button) findViewById(R.id.buttonInterface2);
        button4.setOnClickListener(this);

        EditText editText1 = (EditText) findViewById(R.id.editText1);
        editText1.setOnFocusChangeListener(new View.OnFocusChangeListener() {
            @Override
            public void onFocusChange(View view, boolean b) {
                Log.d("MINE", "editText1 has focus " + b);
            }
        });

        editText1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Log.d("MINE", "editText1 clicked");

            }
        });



        editText1.setOnLongClickListener(new View.OnLongClickListener() {
            @Override
            public boolean onLongClick(View view) {
                Log.d("MINE", "editText1 long clicked");
                boolean consumed = true;
                return consumed;
            }
        });

        editText1.setOnKeyListener(new View.OnKeyListener() {
            @Override
            public boolean onKey(View view, int keyCode, KeyEvent keyEvent) {
                Log.d("MINE", "you typed " + keyCode);
                return false;
            }
        });
    }

    public void buttonClicked(View view) {
        TextView textView = (TextView) findViewById(R.id.textViewOutput);
        textView.setText("Button 1 clicked");
    }

    @Override
    public void onClick(View view) {
        Button whichButton = (Button) view;
        CharSequence text = whichButton.getText();
        TextView textView = (TextView) findViewById(R.id.textViewOutput);
        textView.setText(text);
    }
}
